public enum Month
{
  JAN(31), FEB(28)
  {
    @Override public int getDays( int y )
    {
      return (y & 3) == 0 ? 29: 28;
    }
  },
  MAR(31), APR(30), MAY(31), JUN(30),
  JUL(31), AUG(31), SEP(30), OCT(31), NOV(30), DEC(31);
  
  private int days;

  private Month( int days )
  {
    this.days = days;
  }

  public int getDays()
  {
    return days;
  }

  public int getDays( int year )
  {
    return days;
  }
}